<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: magpar_scripts::Polygon Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="namespacemagpar__scripts.html">magpar_scripts</a>::<a class="el" href="classmagpar__scripts_1_1Polygon.html">Polygon</a>
  </div>
</div>
<div class="contents">
<h1>magpar_scripts::Polygon Class Reference</h1><!-- doxytag: class="magpar_scripts::Polygon" --><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1Polygon.html#a4d9403b32b643bacc75c427120ef6e7e">__init__</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1Polygon.html#a9c9b2da659a2026b33343f883b1df8df">append_segment</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1Polygon.html#ab70b184783715a102a9a696ea7405406">point</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1Polygon.html#aa70ff6082a31fb51b183a2979a587c6a">vec</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1Polygon.html#a12ffbe285dd623d8316edb42065a2d26">__str__</a></td></tr>
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1Polygon.html#a8de47cfb30a18cdd9d429670985308f9">segments</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagpar__scripts_1_1Polygon.html#a8937ab795a2136dddb3c28d81885c4c1">length</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00422">422</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a4d9403b32b643bacc75c427120ef6e7e"></a><!-- doxytag: member="magpar_scripts::Polygon::__init__" ref="a4d9403b32b643bacc75c427120ef6e7e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::Polygon::__init__ </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>self</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00423">423</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="a12ffbe285dd623d8316edb42065a2d26"></a><!-- doxytag: member="magpar_scripts::Polygon::__str__" ref="a12ffbe285dd623d8316edb42065a2d26" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::Polygon::__str__ </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>self</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00444">444</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="a9c9b2da659a2026b33343f883b1df8df"></a><!-- doxytag: member="magpar_scripts::Polygon::append_segment" ref="a9c9b2da659a2026b33343f883b1df8df" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::Polygon::append_segment </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>b</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00427">427</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="ab70b184783715a102a9a696ea7405406"></a><!-- doxytag: member="magpar_scripts::Polygon::point" ref="ab70b184783715a102a9a696ea7405406" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::Polygon::point </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>u</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00431">431</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="aa70ff6082a31fb51b183a2979a587c6a"></a><!-- doxytag: member="magpar_scripts::Polygon::vec" ref="aa70ff6082a31fb51b183a2979a587c6a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magpar_scripts::Polygon::vec </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>u</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>length</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00437">437</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a8937ab795a2136dddb3c28d81885c4c1"></a><!-- doxytag: member="magpar_scripts::Polygon::length" ref="a8937ab795a2136dddb3c28d81885c4c1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmagpar__scripts_1_1Polygon.html#a8937ab795a2136dddb3c28d81885c4c1">magpar_scripts::Polygon::length</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00425">425</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<a class="anchor" id="a8de47cfb30a18cdd9d429670985308f9"></a><!-- doxytag: member="magpar_scripts::Polygon::segments" ref="a8de47cfb30a18cdd9d429670985308f9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmagpar__scripts_1_1Polygon.html#a8de47cfb30a18cdd9d429670985308f9">magpar_scripts::Polygon::segments</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magpar__scripts_8py_source.html#l00424">424</a> of file <a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>pytools/<a class="el" href="magpar__scripts_8py_source.html">magpar_scripts.py</a></li>
</ul>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

